Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization
Interface PznGeolocationInterface

    public interface PznGeolocationInterface

Defines methods for resolving a user's geographical location.

Nested Class Summary
`static class` | `PznGeolocationInterface.GeoAddress` This class stores elements of a geographical address.
`static class` | `PznGeolocationInterface.GeoCoords` This class stores geographical coordinates.
`static class` | `PznGeolocationInterface.GeoLocation` This class stores a geographical location, including both coordinates and address.

Field Summary
`static java.lang.String` | `COPYRIGHT`

Method Summary
`PznGeolocationInterface.GeoAddress` | `getAddressFromCoords(HttpServletRequest httpRequest, PznGeolocationInterface.GeoCoords coordinates)` Resolves a user's address from geographical coordinates.
`PznGeolocationInterface.GeoLocation` | `getLocation(HttpServletRequest httpRequest)` Returns a user's current geographical location.

Field Detail

### COPYRIGHT

    static final java.lang.String COPYRIGHT

Method Detail

### getLocation

    PznGeolocationInterface.GeoLocation getLocation(HttpServletRequest httpRequest)

  Returns a user's current geographical location.

  Parameters:
    `httpRequest` - - HTTP request received from remote client
  Returns:
    the user's geographical location, or null if location cannot be resolved

### getAddressFromCoords

    PznGeolocationInterface.GeoAddress getAddressFromCoords(HttpServletRequest httpRequest,
                                                            PznGeolocationInterface.GeoCoords coordinates)

  Resolves a user's address from geographical coordinates.

  Parameters:
    `httpRequest` - - HTTP request received from remote client
    `coordinates` - - latitude and longitude
  Returns:
    the user's geographical address, or null if address cannot be resolved

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD